Subject: Re: [bug#52275] [PATCH] gnu: syncthing: Update to 1.18.4.

From: Leo Famulari <[email-masked]>
Date: Mon, 6 Dec 2021 12:14:23 -0500

I pushed 4e282bc934488b1c9ab9e97c838efe058da9e0bd, which updates
Syncthing to 1.18.4 and builds it with Go 1.17. I did this because
Syncthing assumes that one is building with Go 1.17, based on the
changes in Syncthing 1.18.2.

I'll test the update of the Go 1.17 series shortly and hopefully put Go
1.17 into use across all packages this week.

On Mon, Dec 06, 2021 at 06:47:31AM -0500, Julien Lepiller wrote:
> I've actually been running 1.18.4 for some time noo, without issues. Just skipping the tests makes it work, so why not? If this is a problem, I think 1.18.1 is better unless there is an important bug in it.
> 
> Le 6 décembre 2021 03:15:51 GMT-05:00, "Simen Endsjø" <[email-masked]> a écrit :
> >
> >"Leo Famulari" <[email-masked]> writes:
> >
> >> On Sun, Dec 5, 2021, at 03:54, Simen Endsjø wrote:
> >>> Great! As 1.16.1 is broken due to this bug:
> >>> https://github.com/syncthing/syncthing/issues/7685
> >>
> >> Broken somewhat... It works quite well in general :) The CLI is rather new and untested compared to the GUI / web API.
> >
> >I'm trying to run it from a server, and would like to avoid exposing a
> >web API.
> >
> >>> I updated the patch to 1.18.1, but should we rather use 1.17.0 you
> >>> think?
> >>
> >> Can you clarify why we might choose Syncthing 1.17.0 if we could use 1.18.1? Or did you mean Go 1.17?
> >
> >1.17.0 doesn't include any later patch versions, and might be more
> >stabel. Haven't looked at the issues closed 1.18.2-4, so it might be a
> >non-issue. I have very simple use, I just need something other than
> >1.16.1 as I cannot add devices with that version.
> >
> >
> >